Bug 476594 - X exits after suspend/resume cycle if compiz in use
X exits after suspend/resume cycle if compiz in use
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 19:17 EST by Nigel Jones
Modified: 2009-11-28 04:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-28 04:23:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg config (1.56 KB, text/plain)
2008-12-15 19:17 EST, Nigel Jones
no flags Details
previous log file from X (216.82 KB, text/plain)
2008-12-15 19:18 EST, Nigel Jones
no flags Details
xorg log (216.39 KB, text/plain)
2008-12-15 19:18 EST, Nigel Jones
no flags Details
pm suspend log (6.02 KB, text/plain)
2008-12-15 19:20 EST, Nigel Jones
no flags Details

  None (edit)
Description Nigel Jones 2008-12-15 19:17:22 EST
Created attachment 327040 [details]
xorg config

Description of problem:

System - Thinkpad T60p (ATI V5200), radeonhd driver

If compiz/emerald is enabled and system is suspended, then resumed. then upon resume system returns to login desktop, not to existing session/screensaver.

If compiz etc NOT enabled then system correctly resumes with existing desktop

Occurred with original radeonhd/kernel levels, also occurs with latest from koiji

Some Current rpms
kernel-PAE-2.6.27.9-157.fc10.i686
xorg-x11-drv-radeonhd-1.2.4-1.1.20081212git.fc10.i386
xorg-x11-server-common-1.5.3-5.fc10.i386
compiz-0.7.6-17.fc10.i386

No exceptions observed in /etc/X11/Xorg.0.log.old, nor kernel messages from dmesg. PM logs don't appear interesting either

Version-Release number of selected component (if applicable):
Some Current rpms
kernel-PAE-2.6.27.9-157.fc10.i686
xorg-x11-drv-radeonhd-1.2.4-1.1.20081212git.fc10.i386
xorg-x11-server-common-1.5.3-5.fc10.i386
compiz-0.7.6-17.fc10.i386

How reproducible:
Occurs every time

Steps to Reproduce:
1.login, Enable compiz
2.suspend/resume
3.get bounced to login screen
  
Actual results:
Bounced to login screen

Expected results:
Show screensaver/existing session


Additional info:
Comment 1 Nigel Jones 2008-12-15 19:18:00 EST
Created attachment 327041 [details]
previous log file from X
Comment 2 Nigel Jones 2008-12-15 19:18:50 EST
Created attachment 327042 [details]
xorg log
Comment 3 Nigel Jones 2008-12-15 19:20:43 EST
Created attachment 327043 [details]
pm suspend log
Comment 4 Nigel Jones 2008-12-15 19:43:33 EST
Repeated same test with "radeon" driver using
        Driver      "radeon"
        Option      "RenderAccel" "true"
        Option      "AccelMethod" "EXA"
        Option      "EnablePageFlip" "on"
        Option      "DynamicClocks" "1"
        Option      "AccelDFS" "1"
        Option      "DMAForXv" "1"
        Option      "GARTSize" "64"
        Option      "EnableDepthMoves" "on"
        Option      "DRI" "true"
        Option      "VideoKey" "0x01"

and get an interesting result

8151 frames in 5.0 seconds = 1630.006 FPS
8141 frames in 5.0 seconds = 1628.157 FPS
8144 frames in 5.0 seconds = 1628.779 FPS
8149 frames in 5.0 seconds = 1629.685 FPS
^C
// SUSPEND
// RESUME

bash-3.2$ glxgears
1341 frames in 5.0 seconds = 268.118 FPS
1333 frames in 5.0 seconds = 266.471 FPS
1291 frames in 5.0 seconds = 258.044 FPS

This is with just metacity. Could there be some DRI re-init issue here?
Comment 5 Nigel Jones 2009-02-16 18:56:39 EST
475193 may be related
Comment 6 Matěj Cepl 2009-02-16 19:23:17 EST
That is bug 475193 (so that we a link)
Comment 7 Nigel Jones 2009-03-02 15:04:22 EST
Now seems to be working with
xorg-x11-server-Xorg-1.6.0-2.fc11.i586
kernel-PAE-2.6.29-0.159.rc6.git3.fc11.i686
kernel-PAE-2.6.29-0.176.rc6.git5.fc11.i686
compiz-0.7.8-14.fc11.i586


for the first time since F9 :-)
Comment 8 Nigel Jones 2009-03-02 15:05:55 EST
& xorg-x11-drv-ati-6.11.0-1.fc11.i586
Comment 9 Steve Hill 2009-06-10 04:16:29 EDT
This (or something similar) seems to be affecting F11 with the Intel driver.
Comment 10 Bug Zapper 2009-11-18 05:28:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Vedran Miletić 2009-11-28 04:23:44 EST
Closing per comment 7 and comment 8.

Note You need to log in before you can comment on or make changes to this bug.